SORU
1 Kasım 2014, CUMARTESİ


Hata:compileSdkVersion android-21 İLGİLENİYORUZ 7 ile derleme gerektirir

Hata Error:compileSdkVersion android-21 requires compiling with JDK 7, yazılım ve programları daha yeni bir sürümü gerekli olduğunu söylediler derleme sırasında.

Android Studio v0 ile OS X Yosemite koşuyorum.8.14

Bir şeyleri kontrol ettim :

  1. Sürüm Java :

java version "1.8.0_25" Java(TM) SE Runtime Environment (build 1.8.0_25-b17) Java HotSpot(TM) 64-Bit Server VM (build 25.25-b02, mixed mode)

2=başlangıç
  • Sadece 1.6.0.jdk klasör görebiliyorum klasör JavaVirtualMachine içinde, başka bir klasör bulamıyorum.

  • Denedim Gördüm 8 ve 7 yeniden yükleme!

    Jvm klasör konumunu 1.8, düzeltme oraya nasıl herhangi bir fikir bulamadım.

  • CEVAP
    20 Kasım 2014, PERŞEMBE


    Bu Sorun için Tam Düzeltme (Mac üzerinde Android Studio Kullanıcıları)

    Eğer zaten Java yükseltilmiş varsa 8 lütfen İLGİLENİYORUZ yerini şimdi /Library/Java içinde 6 konumu /System/Library/Java Java karşılaştırıldığında olduğunu unutmayın. Bu sorun, Sağ tıklatın düzeltmek içinProje klasörüProje YapısıSDK Location.

    Sonra GÖRDÜM konumunu değiştirmek

    /Library/Java/JavaVirtualMachines/jdk1.8.0_25.jdk/Contents/Home
    

    Eğer farklı olduğunu GÖRDÜM bir sürüm (Java 8 dışında) varsa, yolu java_home script kullanarak ilk ve çıkış bulmak kullanın. Sadece çalıştırın

    /usr/libexec/java_home 
    

    Bunu Paylaş:
    • Google+
    • E-Posta
    Etiketler:

    YORUMLAR

    SPONSOR VİDEO

    Rastgele Yazarlar

    • fast2hell

      fast2hell

      16 AĞUSTOS 2006
    • gadgetgal38

      gadgetgal38

      9 HAZİRAN 2009
    • FusioNGamiing

      FusioNGamiin

      10 Temmuz 2007